%define oname sharpcvslib
%def_disable ndoc

Name: libcvs-sharp
Version: 0.36
Release: alt3
Summary: Client cvs library written in C#
Packager: Mono Maintainers Team <mono@packages.altlinux.org>
Url: http://sharpcvslib.sourceforge.net/
# Exception: Permission is given to use this library in commercial closed-source applications
# See: README.txt
License: GPLv2+ with exceptions
Group: Development/Other
# Upstream Source is here: http://downloads.sourceforge.net/sharpcvslib/SharpCvsLib-0.35.3721.507-src.zip
# Unfortunately, they use windows separators. This is the same thing, just rezipped with unix separators.
# Source0: SharpCvsLib-0.35.3721.507-src-unix.zip

Source: %oname-%version.tar.bz2
Source1: sharpcvslib.pc
Source2: SharpCvsLib.snk
Patch1: sharpcvslib-0.36-alt-key.patch
Patch2: sharpcvslib-0.36-alt-path_nant.patch
Patch3: sharpcvslib-0.36-alt-use-system-dlls.patch

Provides: %oname = %version-%release

BuildRequires: mono-mcs mono-devel mono-extras log4net nant mono-nunit mono-tools mono-ndoc
BuildRequires: /proc
BuildPreReq: rpm-build-mono

%description
Gives C# projects the ability to communicate with a CVS server.

%package doc
Summary: documentation and examples for %name
Group: Documentation
BuildArch: noarch

%description doc
%summary

%prep
%setup -q -n %oname-%version
%patch1 -p1 -b .key
%patch2 -p1 -b .nant
%patch3 -p1 -b .system_dlls

# Get rid of the binary dlls 
rm -rf lib/*
rm -rf bin/*
#rm -rf tools/nant/*
rm -rf tools/nant/bin

%__sed -i 's/\r//' doc/README.txt
%__sed -i 's/\r//' doc/COPYING.txt
cp %SOURCE2 ./

%build
nant -buildfile:build/SharpCvsLib.build build.all

# This command works mostly, but fails at the end trying to talk to the Windows registry. 
%if_enabled doc
nant -buildfile:build/SharpCvsLib.build netdoc ||:
%endif

%install
mkdir -p %buildroot/%_pkgconfigdir
cp %SOURCE1 %buildroot/%_pkgconfigdir/
mkdir -p %buildroot/%_monogacdir
# Put mono libs in the gac
find bin -name "*\.dll" -exec gacutil -package sharpcvslib -root %buildroot/usr/lib -i {} \;
find bin -name "*\.exe" -exec gacutil -package sharpcvslib -root %buildroot/usr/lib -i {} \;

%if_enabled ndoc
# Cleanup docs
mkdir -p doc/api
mv dist/doc/api/msdn/ndoc_msdn_temp doc/api/msdn
%__sed -i 's/\r//' doc/api/msdn/tree.css
%__sed -i 's/\r//' doc/api/msdn/MSDN.css
%__sed -i 's/\r//' doc/api/msdn/tree.js
iconv -f iso-8859-1 -t utf-8 -o doc/api/msdn/tree.js{.utf8,}
mv doc/api/msdn/tree.js{.utf8,}
%endif

%files
%_monogacdir/cvs
%_monogacdir/ICSharpCode.SharpCvsLib*
%_monodir/sharpcvslib
%_pkgconfigdir/sharpcvslib.pc

%files doc
%doc doc examples 

%changelog
* Wed Nov 26 2008 Alexey Shabalin <shaba@altlinux.ru> 0.36-alt3
- fix build with new nant
- put key for sign to SOURCE2
- disable build ndoc documentation

* Thu Nov 20 2008 Alexey Shabalin <shaba@altlinux.ru> 0.36-alt2
- fix build for x86_64
- build doc as noarch

* Fri Nov 14 2008 Alexey Shabalin <shaba@altlinux.ru> 0.36-alt1
- initial package for ALTLinux


